function check_variations (table) 

	for i,variation in ipairs(table) do

	
		found_good_variation = 0
	
		for j,good_variation in ipairs(good_variations) do
			if variation["name"] == good_variation then
			    found_good_variation = 1
			end    
		end
		
		if found_good_variation == 0 then
			err_message = err_message .. "        " ..  variation["name"]
			err_message = err_message ..  " is too new.\n"
			errors_in_genome = errors_in_genome + 1
		end
		   
	end   

end



function check_xforms (table) 

	for i,xform in ipairs(table) do

		print(i)

		err_message = err_message .. "    xform " .. i .. "\n"
		

		if xform["is_finalxform"] == "Y" then
			err_message = err_message .. "        final xform used\n"
			errors_in_genome = errors_in_genome + 1
		end  
		 
		check_variations(xform["variations"])
	end   

end



function recurse_table (table) 

      -- Traverse string keys.  Values are parameters. 

        for k,v in pairs(table) do 
        	 if k == "xforms" then	
                check_xforms(v)
        	 elseif type(v) == "table" then
        	 	recurse_table(v)
        	 end  
        end 
end


good_variations = {
	[1] = "linear",
	[2] = "sinusoidal",
	[3] = "spherical",
	[4] = "swirl",
	[5] = "horseshoe",
	[6] = "polar",
	[7] = "handkerchief",
	[8] = "heart",
	[9] = "disc",
	[10] = "spiral",
	[11] = "hyperbolic",
	[12] = "diamond",
	[13] = "ex",
	[14] = "julia",
	[15] = "bent",
	[16] = "waves",
	[17] = "fisheye",
	[18] = "popcorn",
	[19] = "exponential",
	[20] = "power",
	[21] = "cosine",
	[22] = "rings",
	[23] = "fan"
}

errors_in_genome = 0
errors_in_file = 0


if #oxidizer_genomes == 0 then
	-- as there is one fixed return type we can assign a string to oxidizer_genomes
	-- to return an error message
	oxidizer_status["action"] = "error"
	oxidizer_status["message"] = "This script requires a loaded genome"
	return;
end 


err_message = ""

for i,genome in ipairs(oxidizer_genomes) do


	errors_in_genome = 0
	err_message = err_message .. "genome " .. i .. "\n"

	recurse_table(genome)
	if errors_in_genome == 0 then
		err_message = err_message .. "... is okay\n"
	end
	errors_in_file = errors_in_file +  errors_in_genome
end   

oxidizer_status["message"] = err_message

if errors_in_file > 0 then
	-- as there is one fixed return type we can assign a string to oxidizer_genomes
	-- to return an error message
	oxidizer_status["action"] = "error"
else
	oxidizer_status["action"] = "message"
end 

